Bug 220288 - dns/powerdns: Update to latest version (v4.0.4)
Summary: dns/powerdns: Update to latest version (v4.0.4)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Richard Gallamore
URL: https://doc.powerdns.com/md/changelog...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-26 13:21 UTC by Dani
Modified: 2017-07-02 17:56 UTC (History)
2 users (show)

See Also:
tremere: maintainer-feedback+


Attachments
Update powerdns to v4.0.4 (1.06 KB, patch)
2017-06-26 13:21 UTC, Dani
no flags Details | Diff
Update to 4.0.4 (2.17 KB, patch)
2017-06-26 23:48 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dani 2017-06-26 13:21:47 UTC
Created attachment 183811 [details]
Update powerdns to v4.0.4

dns/powerdns: update 4.0.3 -> 4.0.4
- Switch to USES=mysql while here

Changes: https://doc.powerdns.com/md/changelog/#powerdns-authoritative-server-404

Successfully built and tested on FBSD10.3 with and without MySQL-backend.
Comment 1 Ralf van der Enden 2017-06-26 23:48:50 UTC
Created attachment 183825 [details]
Update to 4.0.4

Add an OPTIONS knob to add support for optional algorithms 12 (ECC-GOST) and 15 (ED25519). Not enabled by default.

Borrowed the MYSQL_USES from the submitted patch by dani (thanks).
Comment 2 Dani 2017-06-27 06:03:06 UTC
Ah true, i oversaw the new OPTIONS, thanks for catching them! Else looks fine to me. Thanks Ralf.
Comment 4 commit-hook freebsd_committer 2017-07-02 17:32:39 UTC
A commit references this bug:

Author: ultima
Date: Sun Jul  2 17:31:58 UTC 2017
New revision: 444895
URL: https://svnweb.freebsd.org/changeset/ports/444895

Log:
  * Updated to 4.0.4
  * New option OPTALGO: Enable optional algorithms (12 & 15), not enabled by default

  Changelog: https://doc.powerdns.com/md/changelog/#powerdns-authoritative-server-404

  PR:		220288
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)
  Reported by:	Dani <i.dani@outlook.com>
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11431

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo
Comment 5 Richard Gallamore freebsd_committer 2017-07-02 17:56:00 UTC
Committed, thanks